#! /usr/bin/perl -w

use strict;
use warnings;
use Getopt::Std;

my $path;
our $opt_p;


#get command line options
getopt("p");
getopts("p:");


#if insufficient options, print usage
if(! ($opt_p))
        {
        print "\n\nUsage: $0\n\n";
        print "\tREQUIRED:\n";
        print "\t-p full path of the directory to be checked\n";
        die "\n\n";
        }

#set paramaters
$path=$opt_p;


open (OUT, ">$path/renamed_chromosomes.txt") or die "Can't open $path/renamed_chromosomes.txt because $!\n";

while(my $filename=glob("$path/*.fa"))
	{
	open(IN, $filename);
	my $header=<IN>;
	close(IN);
	chomp($header);
	$header=~s/>//g;
	$header=$header.'.fa';
	$filename=~s/$path\///g;
	print OUT "$header\t$filename\n";
	}
close(OUT);


exit(0);
